﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Selection.aspx.cs" Inherits="RadGrid_Hierarchy_Selection" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function SetHeaderCheckBox(checkbox, parentIndex) {
                var masterTable = $find('<%= RadGrid1.ClientID %>').get_masterTableView();
                var nestedView = masterTable.get_dataItems()[parentIndex].get_nestedViews()[0];
                for (var i = 0; i < nestedView.get_dataItems().length; i++) {
                    if(!nestedView.get_dataItems()[i].findElement("SelectItemCheckBox").checked)
                    {
                        nestedView.HeaderRow.getElementsByTagName('input')[0].checked = false;
                        return;
                    }
                }
                nestedView.HeaderRow.getElementsByTagName('input')[0].checked = true;
            }
            function SelectAllCheckBox(checkbox, parentIndex) {
                var masterTable = $find('<%= RadGrid1.ClientID %>').get_masterTableView();
                var nestedView = masterTable.get_dataItems()[parentIndex].get_nestedViews()[0];
                for (var i = 0; i < nestedView.get_dataItems().length; i++) {
                    nestedView.get_dataItems()[i].findElement("SelectItemCheckBox").checked = checkbox.checked;
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>

        <telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false" OnDetailTableDataBind="RadGrid1_DetailTableDataBind"
            OnItemDataBound="RadGrid1_ItemDataBound">
            <MasterTableView CommandItemDisplay="Top" CommandItemSettings-ShowExportToPdfButton="true">
                <Columns>
                    <telerik:GridBoundColumn DataField="Column1" HeaderText="Column1"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column2" HeaderText="Column2"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column3" HeaderText="Column3"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column4" HeaderText="Column4"></telerik:GridBoundColumn>
                </Columns>
                <DetailTables>
                    <telerik:GridTableView Name="Detail">
                        <Columns>
                            <telerik:GridTemplateColumn UniqueName="SelectItemCheckBoxColumn" Resizable="false" Reorderable="false">
                                <ItemTemplate>
                                    <asp:CheckBox ID="SelectItemCheckBox" runat="server" />
                                </ItemTemplate>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="SelectHeaderCheckBox" runat="server" />
                                </HeaderTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridBoundColumn DataField="Column5" HeaderText="Column5"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Column6" HeaderText="Column6"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Column7" HeaderText="Column7"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Column8" HeaderText="Column8"></telerik:GridBoundColumn>
                        </Columns>
                    </telerik:GridTableView>
                </DetailTables>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
