﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGrid_Hierarchy_Selection : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }


    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable("Master");
    }
    private DataTable GeneratingTable(string tableView)
    {
        
        DataTable table = new DataTable();
        if (tableView == "Master")
        {
            table.Columns.Add("Column1");
            table.Columns.Add("Column2");
            table.Columns.Add("Column3");
            table.Columns.Add("Column4");

            for (int i = 0; i < 7; i++)
            {
                table.Rows.Add("Col1Row" + i, "Col2Row" + i, "Col3Row" + i, "Col4Row" + i);
            }
        }
        else if (tableView == "Detail")
        {
            table.Columns.Add("Column5");
            table.Columns.Add("Column6");
            table.Columns.Add("Column7");
            table.Columns.Add("Column8");

            for (int i = 0; i < 8; i++)
            {
                table.Rows.Add("Col5Row" + i, "Col6Row" + i, "Col7Row" + i, "Col8Row" + i);
            }
        }
        return table;

    }
    protected void RadGrid1_DetailTableDataBind(object sender, Telerik.Web.UI.GridDetailTableDataBindEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable("Detail");
    }
    protected void RadGrid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if(e.Item is GridDataItem && e.Item.OwnerTableView.Name == "Detail")
        {
            GridDataItem item = e.Item as GridDataItem;
            (item["SelectItemCheckBoxColumn"].FindControl("SelectItemCheckBox") as CheckBox).Attributes.Add("onclick", "return SetHeaderCheckBox(this, " + item.OwnerTableView.ParentItem.ItemIndex + ");");
        }
        else if (e.Item is GridHeaderItem && e.Item.OwnerTableView.Name == "Detail")
        {
            GridHeaderItem header = e.Item as GridHeaderItem;
            (header["SelectItemCheckBoxColumn"].FindControl("SelectHeaderCheckBox") as CheckBox).Attributes.Add("onclick", "return SelectAllCheckBox(this, " + header.OwnerTableView.ParentItem.ItemIndex + ");");
        }
    }
}